Results 1 to 6 of 6

Thread: zypper/suse-updater help please

  1. #1
    Join Date
    Jun 2008
    Location
    Concord, California
    Posts
    253

    Default zypper/suse-updater help please

    I had this same problem for a little while. I got a new HD and thought a fresh install would fix it. But it didn't.

    I have two recommended updates that will not update. They are: fileshareset and kdenetworkmanager3-InstantMessenger.

    Here is the out put of zypper -n -vv up:
    Code:
    Verbosity: 2
    Entering non-interactive mode.
    Initializing Target
    Checking whether to refresh metadata for KDE4 Desktop
    Checking whether to refresh metadata for openSUSE-11.0-Non-Oss
    Checking whether to refresh metadata for KDE4 Extra Apps
    Checking whether to refresh metadata for KDE4 Community
    Checking whether to refresh metadata for Packman
    Checking whether to refresh metadata for Main Update Repository
    Checking whether to refresh metadata for KDE4 Compiz
    Checking whether to refresh metadata for openSUSE-11.0-Oss
    Reading installed packages...
    Force resolution: No
    Resolving dependencies...
    Force resolution: No
    Resolving dependencies...
    
    The following NEW patches are going to be installed:
      fileshareset-124.noarch  (Main Update Repository, maint-coord@suse.de)
      kdenetwork3-InstantMessenger-235.noarch  (Main Update Repository, maint-coord@suse.de)
    
    
    No additional space will be used or freed after the operation.
    
    Continue? [YES/no]: yes
    committing
    committingCommitResult 2 (errors 0, remaining 0, srcremaining 0)
    Output from zypper -vv lu:
    Code:
    Verbosity: 2
    Initializing Target
    Checking whether to refresh metadata for KDE4 Desktop
    Checking whether to refresh metadata for openSUSE-11.0-Non-Oss
    Checking whether to refresh metadata for KDE4 Extra Apps
    Checking whether to refresh metadata for KDE4 Community
    Checking whether to refresh metadata for Packman
    Checking whether to refresh metadata for Main Update Repository
    Checking whether to refresh metadata for KDE4 Compiz
    Checking whether to refresh metadata for openSUSE-11.0-Oss
    Reading installed packages...
    Force resolution: No
    Resolving dependencies...
    Patches
    
    [?1034hRepository             | Name                         | Version | Category    | Status
    -----------------------+------------------------------+---------+-------------+-------
    Main Update Repository | fileshareset                 | 124     | recommended | Needed
    Main Update Repository | kdenetwork3-InstantMessenger | 235     | recommended | Needed
    Is there anything else that might be needed to try and get rid of this?
    OpenSUSE Leap 15, KDE5 (plasma 5.13, frameworks 5.49, QT 5.11)

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: zypper/suse-updater help please

    This is a bug.
    Mark as DO NOT INSTALL

    or just don't use the updater app. Use Yast Software Management
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    Concord, California
    Posts
    253

    Default Re: zypper/suse-updater help please

    Do you have link to the bug report?

    Thanks.
    OpenSUSE Leap 15, KDE5 (plasma 5.13, frameworks 5.49, QT 5.11)

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: zypper/suse-updater help please

    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,173
    Blog Entries
    1

    Default Re: zypper/suse-updater help please

    Thanks for bug report link. I see the dev team have recently released a patch to fix this 'solver' issue for opensuse 11.0

    Fix involves adding this repo:

    zypper ar Index of /update/11.0-test patch

    Then

    zypper ref
    zypper up -t patch

    This gave me:

    Reading installed packages...

    The following packages are going to be upgraded:
    satsolver-tools yast2-pkg-bindings libzypp yast2-qt-pkg yast2-ncurses-pkg


    The following NEW patch is going to be installed:
    gnome-packagekit


    Overall download size: 2.7 M. After the operation, additional 4.0 K will be used.
    Continue? [YES/no]: YES
    Of course, it is good practice to remove the repo afterwards as soon as patch has been installed.

  6. #6
    Join Date
    Jun 2008
    Location
    Concord, California
    Posts
    253

    Default Re: zypper/suse-updater help please

    Thanks, installed it and it seems to be working now.
    OpenSUSE Leap 15, KDE5 (plasma 5.13, frameworks 5.49, QT 5.11)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •